For the complete documentation index, see llms.txt. This page is also available as Markdown.

PNR Claim

Atlas API pnr/claim.do reference for claiming eligible airline booking records and continuing supported workflows.

💬 Need help? If you're stuck, ask Eva in the Help Center for instant diagnostics.

Ask Eva

PNR Claim

post

Dependency No preceding function needs to be carried out.

Endpoint: https://sandbox.atriptech.com/pnr/claim.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredExample: gzip
x-atlas-client-idstringRequiredExample: <YOUR_CLIENT_ID>
x-atlas-client-secretstringRequiredExample: <YOUR_CLIENT_SECRET>
Body
Responses
200Success
application/json
statusstringRequired
msgstring · nullableOptional
orderNostringRequired

Atlas order number

post/pnr/claim.do
POST /pnr/claim.do HTTP/1.1
Accept: text
Accept-Encoding: text
x-atlas-client-id: text
x-atlas-client-secret: text
Content-Type: application/json
Content-Length: 599

{
  "mmb": {
    "airlinePnr": "S1BE6Z",
    "email": "TESTABC22Oct@pnrclaim.com"
  },
  "passengers": [
    {
      "name": "test/abc",
      "passengerType": 0,
      "birthday": "20001010",
      "gender": "M",
      "cardNum": "",
      "cardType": "PP",
      "cardIssuePlace": "",
      "cardExpired": "20241010",
      "nationality": ""
    }
  ],
  "fromSegments": [
    {
      "carrier": "AK",
      "flightNumber": "AK128",
      "depAirport": "DEL",
      "arrAirport": "BOM",
      "depTime": "202411201600",
      "arrTime": "202411201820",
      "stopCities": "",
      "codeShare": 0,
      "operatingCarrier": "",
      "operatingFlightNumber": "",
      "depTerminal": "T2",
      "arrTerminal": "T1",
      "cabinClass": "1",
      "fareFamily": "Flexi",
      "flightIndex": null,
      "duration": 140
    }
  ],
  "retSegments": null
}
200Success
{
  "orderNo": "TESTC20241022100111040",
  "pnrCode": "RCOFMU",
  "status": 0,
  "msg": null
}

Was this helpful?